package com.izouma.awesomeadmin.service;

import java.util.List;

import javax.servlet.http.HttpServletRequest;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.SuperUser;

public interface SuperUserService {

    /**
     * 
     * <p>获取所有用户记录。</p>
     *
     * @return tblUser list
     */
    List <SuperUser> getSuperUserList();


    /**
     * 
     * <p>获取所有用户记录。</p>
     *
     * @return tblUser list
     */
    List <SuperUser> getSuperUserByPage(Page page);


    /**
     * 
     * <p>根据id获取指定用户详细信息。</p>
     *
     * @param id
     * @return
     */
    SuperUser getSuperUserById(String id);


    boolean updateSuperUserInfo(HttpServletRequest request);


    boolean createUser(SuperUser superUser);


    boolean deleteUser(String userId);


    boolean updateUser(SuperUser superUser);


    SuperUser UserLogin(String userName, String password);
}
